const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const quiz_tag_links = sequelize.define(
    'quiz_tag_links',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  quiz_tag_links.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity





































//end loop



    db.quiz_tag_links.belongsTo(db.quizzes, {
      as: 'quiz',
      foreignKey: {
        name: 'quizId',
      },
      constraints: false,
    });

    db.quiz_tag_links.belongsTo(db.quiz_tags, {
      as: 'tag',
      foreignKey: {
        name: 'tagId',
      },
      constraints: false,
    });




    db.quiz_tag_links.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.quiz_tag_links.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return quiz_tag_links;
};


